﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace ConsoleApp1
{
    class Program
    {
        static List<TcpClient> _cla15000 = new List<TcpClient>();
        static List<TcpClient> _cla15001 = new List<TcpClient>();

        static void Main(string[] args)
        {
            Thread t = new Thread(CountFunc);
            t.IsBackground = true;
            t.Start();

            Thread t15000 = new Thread(acceptFunc);
            t15000.IsBackground = true;
            t15000.Start(15000);

            Thread t15001 = new Thread(acceptFunc);
            t15001.IsBackground = true;
            t15001.Start(15001);

            Console.ReadLine();
        }

        private static void acceptFunc(object objPort)
        {
            int port = (int)objPort;

            TcpListener svr = new TcpListener(IPAddress.Any, port);
            {
                svr.Start();

                while (true)
                {
                    TcpClient client = svr.AcceptTcpClient();

                    if (port == 15000)
                    {
                        _cla15000.Add(client);
                    }
                    else
                    {
                        _cla15001.Add(client);
                    }
                }
            }
        }

        private static void CountFunc()
        {
            while (true)
            {
                Console.WriteLine($"# of 15000: {_cla15000.Count}, 15001: {_cla15001.Count}");
                Thread.Sleep(1000);
            }
        }
    }
}
