﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.Sockets;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string ipAddr = args[0];
            int port = int.Parse(args[1]);
            int numberOf = int.Parse(args[2]);

            List<TcpClient> clients = new List<TcpClient>();

            try
            {
                for (int i = 0; i < numberOf; i++)
                {
                    TcpClient client = new TcpClient();
                    client.Connect(ipAddr, port);

                    clients.Add(client);
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
            }

            Console.WriteLine(clients.Count);
            Console.ReadLine();
        }
    }
}
